Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class KodoPoolingDataSource

    java.lang.Object
      com.solarmetric.jdbc.PoolingDataSource
          kodo.jdbc.schema.KodoPoolingDataSource

All Implemented Interfaces:
  DataSource, org.apache.openjpa.jdbc.schema.DriverDataSource, org.apache.openjpa.lib.conf.Configurable, org.apache.openjpa.lib.util.Closeable

    public class KodoPoolingDataSource

extends com.solarmetric.jdbc.PoolingDataSource
implements org.apache.openjpa.jdbc.schema.DriverDataSource, org.apache.openjpa.lib.conf.Configurable

A PoolingDataSource that provides a generic configuration implementation.

Constructor Summary
`KodoPoolingDataSource()`

Method Summary
`List` | `createConnectionDecorators()`
`void` | `endConfiguration()`
`Properties` | `getConnectionFactoryProperties()`
`void` | `initDBDictionary(org.apache.openjpa.jdbc.sql.DBDictionary dict)`
`void` | `setConfiguration(org.apache.openjpa.lib.conf.Configuration conf)`
`void` | `setConnectionFactoryProperties(Properties props)`
`void` | `startConfiguration()`

Methods inherited from class com.solarmetric.jdbc.PoolingDataSource
`close, getClassLoader, getConnection, getConnection, getConnectionDriverName, getConnectionPool, getConnectionProperties, getConnectionURL, getConnectionUserName, getDriver, getLoginTimeout, getLogs, getLogWriter, newConnection, setClassLoader, setConnectionDriverName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setLoginTimeout, setLogWriter, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.jdbc.schema.DriverDataSource
`getClassLoader, getConnectionDriverName, getConnectionProperties, getConnectionURL, getConnectionUserName, setClassLoader, setConnectionDriverName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName`

Methods inherited from interface javax.sql.DataSource
`getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Constructor Detail

### KodoPoolingDataSource

    public KodoPoolingDataSource()

Method Detail

### setConnectionFactoryProperties

    public void setConnectionFactoryProperties(Properties props)

  Specified by:
    `setConnectionFactoryProperties` in interface `org.apache.openjpa.jdbc.schema.DriverDataSource`

### getConnectionFactoryProperties

    public Properties getConnectionFactoryProperties()

  Specified by:
    `getConnectionFactoryProperties` in interface `org.apache.openjpa.jdbc.schema.DriverDataSource`

### startConfiguration

    public void startConfiguration()

  Specified by:
    `startConfiguration` in interface `org.apache.openjpa.lib.conf.Configurable`

### endConfiguration

    public void endConfiguration()

  Specified by:
    `endConfiguration` in interface `org.apache.openjpa.lib.conf.Configurable`

### setConfiguration

    public void setConfiguration(org.apache.openjpa.lib.conf.Configuration conf)

  Specified by:
    `setConfiguration` in interface `org.apache.openjpa.lib.conf.Configurable`

### createConnectionDecorators

    public List createConnectionDecorators()

  Specified by:
    `createConnectionDecorators` in interface `org.apache.openjpa.jdbc.schema.DriverDataSource`

### initDBDictionary

    public void initDBDictionary(org.apache.openjpa.jdbc.sql.DBDictionary dict)

  Specified by:
    `initDBDictionary` in interface `org.apache.openjpa.jdbc.schema.DriverDataSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.